{******************************************************************************}
{* Electronics: Using logic gates to make binary incrementers and decrementers }
{******************************************************************************}

program LogicGates8;

// Version history:
//   1.0 (May-June 2021): original program
//   1.0.1 (September 2021):
//     - circuit drawing optimisation (proper display)

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Interfaces, Forms, incdec, adder4f, adder4fct, subtractor4f, addsub4f, common;

{$R *.res}

begin
  RequireDerivedFormResource:=True;
  Application.Initialize;
  Application.CreateForm(TfIncDec, fIncDec);
  Application.CreateForm(TfAdder4f, fAdder4f);
  Application.CreateForm(TfSubtractor4f, fSubtractor4f);
  Application.CreateForm(TfAddSub4f, fAddSub4f);
  Application.CreateForm(TfAdder4fCt, fAdder4fCt);
  Application.Run;
end.

